/* ARDUIPROG_KIDZ
 *  CH07B_Devinum
 *  OEN170319 ERRATA 170410
*/
 
#define PAUSE 400 
#define LUMIN 200
const byte yLed1 = 11;
const byte yLed2 = 10;
const byte yLed4 = 9;
const byte yLed8 = 6;

byte ayTablo[10];   // Le fameux tableau!

void setup() {
  pinMode(yLed1, OUTPUT);
  pinMode(yLed2, OUTPUT);
  pinMode(yLed4, OUTPUT);
  pinMode(yLed8, OUTPUT);
  Serial.begin(9600);
  Serial.println("*** Bienvenue chez DEVINUM ***");
}

void loop() {
  for (byte i = 0; i < 10; i++) {
    ayTablo[i] = random(1, 15);
    Serial.println(" ");
    Serial.print(ayTablo[i]);
    afficherBin(ayTablo[i]);
    toutEteindre();
  }
  afficherReponses();
  attendreSaisie();
}

void afficherBin(byte bNum) {
  if (bNum == 0) return;
  Serial.print("\t Binaire ");
///////////////////////////////////////////////////////////
// ERRATA DANS LE LIVRE: IL FAUT AFFICHER LE MSB EN PREMIER
  if (bitRead(bNum, 3)) agir(yLed8, LUMIN);
  else agir(yLed8, 0);
  if (bitRead(bNum, 2)) agir(yLed4, LUMIN);
  else agir(yLed4, 0);
  if (bitRead(bNum, 1)) agir(yLed2, LUMIN);
  else agir(yLed2, 0);
  if (bitRead(bNum, 0)) agir(yLed1, LUMIN);
  else agir(yLed1, 0);
  delay(PAUSE*3);
}

void agir(byte bBroche, byte bValeur) {
  analogWrite(bBroche, bValeur);
  Serial.print(boolean(bValeur));
}

void toutEteindre() {
  analogWrite(yLed8, 0);
  analogWrite(yLed4, 0);
  analogWrite(yLed2, 0);
  analogWrite(yLed1, 0);
  delay(PAUSE*3);
}

void afficherReponses() {
  delay(PAUSE*10);
  Serial.println();
  Serial.println("Maitre Devinum te donne les solutions : ");
  for (byte i = 0; i < 10; i++) {
    Serial.print(ayTablo[i]);
    Serial.print(" | ");
  }
  Serial.println();
  Serial.println("****************** ");
  Serial.println("Clic dans zone de saisie en haut du Moniteur...");
  Serial.println("... puis Espace et Entree pour autre partie !");
}

void attendreSaisie(){
  while ( Serial.available() == 0 ) ;     // Vigilance ici
  while ( Serial.available() > 0 ) Serial.read();
  Serial.flush();
}
