// BagMagik2
// OEN170315

#include <IRremote.h>

const int    broCapteurIR = 10;      // Broche 10 pour le capteur
IRrecv       oCapIR(broCapteurIR);
decode_results oCodeIR;
unsigned long gTouche;            // AJOUT2
const long REPET = 4294967295;    // AJOUT2

void setup()
{
  Serial.begin(9600);
  oCapIR.enableIRIn();      // Démarre récepteur IR
  Serial.println("Appuie sur une touche de la telco (V 2)...");
}

void loop() {
 if (oCapIR.decode(&oCodeIR)) {
    gTouche = oCodeIR.value;
    digitalWrite(13, HIGH);
    switch (gTouche) {
      case 1988694255:         // Touche LECT
        Serial.println(gTouche, DEC);
        Serial.println("* Touche 1");
        break;
      case 1988739135:         // Touche AV.RAP
        Serial.println(gTouche, DEC);
        Serial.println("** Touche 2");
        break;
      case 1988743215 :        // Touche AV.RAP
        Serial.println(gTouche, DEC);
        Serial.println("*** Touche 3");
        break;
      case  REPET:         // Code de repetition
        break;
      default:
        break;
    }
    Serial.println();
    oCapIR.resume();         // Code suivant
  }
  gTouche = 0;
  delay(250);
}

