// Tricolore2
// OEN170327

#define RMIN 255  // Si anode commune
#define VMIN 255
#define BMIN 255
#define RMAX 0
#define VMAX 0
#define BMAX 0

const byte yBroROUGE = 3;
const byte yBroVERT  = 5;
const byte yBroBLEU  = 6;

void setup() {
  allumerRVB(RMAX,VMAX,BMAX, 500); // Blanc
  allumerRVB(RMIN,VMIN,BMIN, 500); // Noir 
}

void loop() {
  for (byte i = RMIN; i > RMAX; i--) {
    allumerRVB(i, VMIN, BMIN, i/10);
  }
  eteindre(100);
  for (byte i = VMIN; i > VMAX; i--) {
    allumerRVB(RMIN, i, BMIN, i/10);
  }
  eteindre(100);
  for (byte i = BMIN; i > BMAX; i--) {
    allumerRVB(RMIN, VMIN, i, i/10);
  }
  eteindre(100);
// AJOUT COULEURS SECONDAIRE
  for (byte i = RMIN; i > RMAX; i--) {
    allumerRVB(i, i, BMIN, 10);
  }
  eteindre(100);
  for (byte i = VMIN; i > VMAX; i--) {
    allumerRVB(RMIN, i, i, 10);
  }
  eteindre(100);
  for (byte i = BMIN; i > BMAX; i--) {
    allumerRVB(i, VMIN, i, 10);
  }
  eteindre(100);
}

void allumerRVB(byte rouge, byte vert, byte bleu, int temps) {
  analogWrite(yBroROUGE, rouge);
  analogWrite(yBroVERT, vert);
  analogWrite(yBroBLEU, bleu);
  delay(temps);
}

void eteindre(int temps) {
  allumerRVB(RMIN, VMIN, BMIN, temps);
  delay(temps);
}

