// Arkenciel
// OEN170327

#define RMIN 255  // Si anode commune
#define VMIN 255
#define BMIN 255
#define RMAX 0
#define VMAX 0
#define BMAX 0

const byte yBroROUGE = 3;
const byte yBroVERT  = 5;
const byte yBroBLEU  = 6;

void setup() {
  allumerRVB(RMAX,VMAX,BMAX, 200); // Pleins feux puis
  allumerRVB(RMIN,VMIN,BMIN, 200); // Noir 
}

void loop() {
  byte tyPrimaires[3];
  byte yColDimi = 0;
  byte yColAugm;
  
  tyPrimaires[0] = RMIN;
  tyPrimaires[1] = VMIN;
  tyPrimaires[2] = BMIN;  

  for (byte i = RMIN; i > RMAX; i--) {
    allumerRVB(i, VMIN, BMIN, 10);
  }

  for (yColDimi = 0; yColDimi < 3; yColDimi += 1) {
    yColAugm = (yColDimi == 2 ? 0 : yColDimi + 1);
//  if (yColDimi == 2) { yColAugm = 0; } else { yColAugm = yColDimi +1; } // EQUIVALENT

    for(int i = 255; i > 0; i -= 1) {
      tyPrimaires[yColDimi] = (255-i); // +=1 si CC
      tyPrimaires[yColAugm] = i;       // -=1 si CC

      allumerRVB(tyPrimaires[0], tyPrimaires[1], tyPrimaires[2], 10);
      delay(5);
    }
  }
  eteindre(1500);
}

void allumerRVB(byte rouge, byte vert, byte bleu, int temps) {
  analogWrite(yBroROUGE, rouge);
  analogWrite(yBroVERT, vert);
  analogWrite(yBroBLEU, bleu);
  delay(temps);
}

void eteindre(int temps) {
  allumerRVB(RMIN, VMIN, BMIN, temps);
  delay(temps);
}

