// TelemasterLCD
// OEN 170402

#include <LiquidCrystal.h>           // AJOUT
LiquidCrystal lcd(8, 9, 4, 5, 6, 7); // AJOUT

#define brEnvoiPulse 11        // Broche TNG  du capteur
#define brRetourEcho 12        // Broche ECHO du capteur

float fDistance;

void setup() 
{ 
  Serial.begin(9600); 
  pinMode(brEnvoiPulse, OUTPUT); 
  pinMode(brRetourEcho, INPUT); 
  lcd.begin(16, 2);            // AJOUT
  analogWrite(10, 50);         // RETROECLAIRAGE
}
void loop() 
{ 
  // Impulsion de 10 micro-secondes
  digitalWrite(brEnvoiPulse, LOW); 
  delayMicroseconds(2); 
  digitalWrite(brEnvoiPulse, HIGH); 
  delayMicroseconds(10); 
  digitalWrite(brEnvoiPulse, LOW);
  
  fDistance = pulseIn(brRetourEcho, HIGH); 
  fDistance = fDistance / (29*2); 
  Serial.print(fDistance, 0);
  Serial.println(" cm");
  affLCD();                  // AJOUT
  delay(300);
}

void affLCD() {
  lcd.clear();
  lcd.setCursor(0,0);
  lcd.print("Distance en cm :");
  lcd.setCursor(4,1);
  lcd.print( int(fDistance) );
}


