// Taprochpa
// OEN 170402

#define brEnvoiPulse 11        // Broche TNG  du capteur
#define brRetourEcho 12        // Broche ECHO du capteur
#define yBroSON      13        // Broche haut-parleur  AJOUT
float distance;

void setup() 
{ 
  Serial.begin(9600); 
  pinMode(brEnvoiPulse, OUTPUT); 
  pinMode(brRetourEcho, INPUT); 
  pinMode(yBroSON, OUTPUT);            // AJOUT SORTIE AUDIO
}
void loop() 
{ 
  digitalWrite(brEnvoiPulse, LOW); 
  delayMicroseconds(2); 
  digitalWrite(brEnvoiPulse, HIGH); 
  delayMicroseconds(10); 
  digitalWrite(brEnvoiPulse, LOW);
  
  distance = pulseIn(brRetourEcho, HIGH); 
  distance = distance / (29*2); 
  Serial.print(distance, 0);
  Serial.println(" cm  ");

  if (distance < 80) alarmer(distance);        // AJOUT
  else { tone(yBroSON, 440, 5); delay(500); }  // AJOUT
}

// Recyclage de CH09B_Sonner3
void alarmer(int palpe) {
  int  iFreq = 40000 / palpe;
  tone(yBroSON, iFreq);
  delay(10);
  noTone(yBroSON);
}

