// BagMagik3
// OEN170315

#include <IRremote.h>

const int    broCapteurIR = 10;   // Broche num 10 pour le capteur
IRrecv       oCapIR(broCapteurIR);
decode_results oCodeIR;
unsigned long  gTouche; 
byte mot = 0;                      // AJOUT3

char* tabmots[4][3] = {            // AJOUT3
  {"Je",          "Le chat",    "La voisine" },
  {" mange",      " pense",     " bouge" },
  {" sans cesse", " lentement", " par pur plaisir" },
  {" la nuit.",   " le midi.",  " depuis deux jours." }
};

void setup()
{
  Serial.begin(9600);
  oCapIR.enableIRIn();      // Démarre récepteur IR
  afficherCarac();
  Serial.println("Appuie sur une touche de la telco (V 3)...");
}

void loop() {
  if (oCapIR.decode(&oCodeIR)) {
    if (mot > 3) mot = 0;               // AJOUT3
    gTouche = oCodeIR.value;
    afficherCode(gTouche, mot);         // AJOUT3
    digitalWrite(13, HIGH);
    oCapIR.resume();
    mot++;                              // AJOUT3
  }
  if (mot > 3) { Serial.println(); mot = 0; }  // AJOUT3
}

 // AJOUT3
void afficherCode(unsigned long code, byte tour) {
  switch (code){
    case 1988694255 :        // Touche LECT
      Serial.print(tabmots[tour][0]);
      break;
    case 1988739135 :        // Touche PAUSE
      Serial.print(tabmots[tour][1]);
      break;
    case 1988743215 :        // Touche AV.RAP
      Serial.print(tabmots[tour][2]);
      break;
    default:
      mot--;
      break;
    }
  gTouche = 0;
}

void afficherCarac() {
  for (int i = 32; i < 64; i++) {
    Serial.print(char(i));
  }
  Serial.println();
  for (int i = 64; i < 96; i++) {
    Serial.print(char(i));
  }
  Serial.println();
  for (int i = 96; i < 128; i++) {
    Serial.print(char(i));
  }
}

